import { ChildNode, Element } from 'domhandler';
import { DomSerializerOptions } from 'dom-serializer';
export declare const FAKE_ROOT = "__fake-root";
/** 会生成一个假的根节点 */
export declare function parse(doc: string): Element;
export interface WalkOptions {
    enter?: (node: HtmlNode, index: number) => void;
    leave?: (node: HtmlNode, index: number) => void;
}
export type HtmlNode = ChildNode;
export declare function walker(ast: HtmlNode, options: WalkOptions): void;
export declare function builder(ast: HtmlNode, options?: DomSerializerOptions): string;
export * as t from 'domhandler';
